import {
  snGenerationMethodList,
  audioViewMethodList,
  serialNumberTypeList,
  serialNumberPositionList,
} from '@/views/book/courseware/data/common';

export function getAudioData() {
  return {
    id: '',
    type: 'audio',
    title: '音频',
    single_size: 100, // 单位MB
    total_size: 1024, // 单位MB
    property: {
      serial_number: 1, // 序号
      sn_type: serialNumberTypeList[0].value, // 序号类型：letter字母 number数字  capital大写字母 bracket_number括号数字
      sn_position: serialNumberPositionList[0].value, // 序号位置：top-start top top-end，left-start left left-end等
      sn_generation_method: snGenerationMethodList[0].value, // 序号生成方式：recalculate重新计算 follow 跟随
      view_method: audioViewMethodList[0].value, // 查看方式：independent独立 list列表 icon图标
    },
    file_info_list: [],
    file_id_list: [], // 文件 id['20032-121212', '20032-121216']
    // 内容中包含的文件列表,
    file_list: [],
  };
}
